use core::computers::ram_rom::RamRomComputer;
use core::traits::backplane::Backplane;
const RAM_START: u16 = 0x4000;
const ROM_START: u16 = 0x0000;

#[test]
fn ram_rom_thintick() {
    let mut ramrom = RamRomComputer::new();

    ramrom.tick2(0x0001, 1, 0x00);
    println!("DataBus: {}", ramrom.data_bus());
    ramrom.tick2(0x4001, 1,0xab);
    println!("DataBus: {}", ramrom.data_bus());
    ramrom.tick2(0x4001, 1,0x00);
    println!("DataBus: {}", ramrom.data_bus());
}
